Bug 608574 (tinymce) - Review Request: tinymce - Web based Javascript HTML WYSIWYG editor control
Summary: Review Request: tinymce - Web based Javascript HTML WYSIWYG editor control
Keywords:
Status: CLOSED ERRATA
Alias: tinymce
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: StalledSubmitter
Depends On:
Blocks: 481536 608575 Nitrate
TreeView+ depends on / blocked
 
Reported: 2010-06-28 07:23 UTC by Neal Gompa
Modified: 2012-04-08 11:49 UTC (History)
11 users (show)

Fixed In Version: tinymce-3.4.3.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:43:51 UTC
tla: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Neal Gompa 2010-06-28 07:23:18 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/tinymce-3.3.7-1.fc12.src.rpm

Description: 
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as by Moxiecode Systems AB. It has the ability 
to convert HTML TEXTAREA fields or other HTML elements to editor instances.
TinyMCE is very easy to integrate into other CMS systems.

Comment 1 Neal Gompa 2010-06-28 07:45:20 UTC
Oops, made an explicit BuildRequires that I didn't need to make... Fixed!

Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce.spec
SRPM URL:
http://kinginuyasha.enanocms.org/downloads/tinymce-3.3.7-2.fc12.src.rpm

Comment 2 Pavel Alexeev 2010-08-24 13:01:09 UTC
As I known it is JavaScript based system with no binding to web server. Why you explicitly require httpd instead meta require webserver?

Comment 3 Jason Tibbitts 2010-11-23 20:11:14 UTC
To be honest, I don't understand why this has a dependency on the web server at all.

What generates the actual javascript files used from the *_src.js files?  It seems that we should be building from the source files instead of using what are essentially the result of some compilation.

Comment 4 Dan Fuhry 2010-11-30 16:13:04 UTC
As I understand it, other web app packages also depend on the presence of *a* web server, because in order to make real use of the package you need a webserver. Perhaps Neal can clarify/adjust this further.

We don't generate the compressed javascript files; I believe the author of TinyMCE has some open source tool they distribute for doing so.

This is in contrast to Enano's handling of javascript files: it has its own JS compressor code, and compresses its own javascript library on the fly. For stability reasons I generally prefer using the pre-compressed versions from the TinyMCE authors.

Recently work was done to add in wikitext editor features (through a plugin) that provide a GUI toolbar for formatting, similar to that of MediaWiki, and thus we may soon be considering the possibility of eliminating TinyMCE entirely from the Enano core. It breaks everything, the developers themselves never use it, and it seems to have perpetual licensing problems.

-D

Comment 5 Pavel Alexeev 2010-11-30 16:21:44 UTC
(In reply to comment #4)
> As I understand it, other web app packages also depend on the presence of *a*
> web server, because in order to make real use of the package you need a
> webserver. Perhaps Neal can clarify/adjust this further.
First, ho forbid use it locally? For example via file:/// protocol?? It is JavaScript, not server-side scripts like PHP, Pels or so on.
Secondary, even if you decide webserver needed, why Apache exactly?? Can it work via lighthttpd, nginx, cheerokee or other web servers present in Fedora?

Comment 6 Dan Fuhry 2010-11-30 16:25:24 UTC
Sorry, I briefly got confused between this review request and the one for Enano (#481536). Must not be thinking straight today.

You're right, TinyMCE can run locally, since it's pure javascript. I'll let Neal know about it.

Comment 7 Tim Lauridsen 2011-06-24 16:44:33 UTC
I will review this package

Comment 8 Tim Lauridsen 2011-06-24 17:05:05 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/tim/tmp/reviewhelper/608574/tinymce_3_3_7.zip :
          MD5SUM this package     : 32ed78d6a7b38587bb29d0239033a918
          MD5SUM upstream package : 32ed78d6a7b38587bb29d0239033a918
        
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint tinymce-3.3.7-2.fc16.noarch.rpm
        ================================================================================
        tinymce.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tinymce-3.3.7/changelog.txt
        tinymce.noarch: W: file-not-utf8 /usr/share/doc/tinymce-3.3.7/changelog.txt
        tinymce.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tinymce-3.3.7/license.txt
        1 packages and 0 specfiles checked; 0 errors, 3 warnings.
        ================================================================================
        
        rpmlint tinymce-3.3.7-2.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[-] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[!] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - SourceX is a working URL.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - Spec use %global instead of %define.
        %define		ver %(echo %{version} | tr . _)
        
[x] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?] : SHOULD - Package functions as described.
[!] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.

Comment 9 Tim Lauridsen 2011-06-24 17:05:40 UTC
Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint tinymce-3.3.7-2.fc16.noarch.rpm
        ================================================================================
        tinymce.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tinymce-3.3.7/changelog.txt
        tinymce.noarch: W: file-not-utf8 /usr/share/doc/tinymce-3.3.7/changelog.txt
        tinymce.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tinymce-3.3.7/license.txt
        1 packages and 0 specfiles checked; 0 errors, 3 warnings.
        ================================================================================
        
        You need to run dos2unix on the changelog.txt & license.txt
        convert changelog.txt to utf8
        http://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8
                
[!] : SHOULD - Latest version is packaged.
        Any reason for not packaging the latest version (3.4.x) ?
    
[!] : SHOULD - Spec use %global instead of %define.
        %define		ver %(echo %{version} | tr . _)
        
        Please use %global, instead of %define.
        
[!] : MUST - Requires correct, justified where necessary.
        
        There are some comments about the Require: httpd 
        I dont see any hard requirement for httpd, it could be runned locally
        So please justify the need for httpd

Comment 10 Neal Gompa 2011-07-12 03:44:46 UTC
Updated to the latest version, removed hard dependency on httpd, added utf-8 and unix lf conversion to package script

Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce.spec
SRPM URL:
http://kinginuyasha.enanocms.org/downloads/tinymce-3.4.3.2-3.fc12.src.rpm

Comment 11 Tim Lauridsen 2011-07-12 11:27:35 UTC
Looks like the issues are fixed in the latest spec.

APPROVED

Comment 12 He Rui 2011-07-13 09:22:26 UTC
Really appreciated for the hard work of Tim and Neal! For next step, Neal, basically can you please:

1. set the bug flag:

fedora-cvs -> ?

2. add a comment:

New Package SCM Request
=======================
Package Name: 
Short Description: 
Owners: 
Branches: 
InitialCC: 


The detailed guidance can be found at: http://fedoraproject.org/wiki/Package_SCM_admin_requests 

Correct me if I got anything wrong. Thanks.

Comment 13 Neal Gompa 2011-07-19 03:04:41 UTC
I'd appreciate if someone could later step up and co-maintain this package. I don't have the time to fully devote to this package, or the knowledge needed to patch the software if bugs arise. I won't list a co-maintainer for now, but I'd like someone to step up by September.


New Package SCM Request
=======================
Package Name: tinymce
Short Description: Web based Javascript HTML WYSIWYG editor control
Owners: ngompa
Branches: f14 f15 el4 el5 el6
InitialCC: rhe

Comment 14 Gwyn Ciesla 2011-07-19 12:40:27 UTC
Git done (by process-git-requests).

Comment 15 Neal Gompa 2011-07-23 21:26:45 UTC
TinyMCE has been pushed to git, and the packages are building for the appropriate branches by koji.

Next step... tinymce-spellchecker[1], which is required by many tinymce-using programs.

[2]: https://bugzilla.redhat.com/show_bug.cgi?id=608575

Comment 16 Jens Petersen 2011-08-17 09:36:27 UTC
Could you please push the updates for releases into Bodhi?

Comment 17 Jens Petersen 2011-09-29 06:53:59 UTC
If you don't use https://admin.fedoraproject.org/updates
to submit the builds for F15, F14, and EPEL-6 they will never
be available in the yum repos.

Comment 18 Jens Petersen 2011-10-24 05:47:17 UTC
Ping!? :)

You'll have to rebuild again for f15, f14 and epel
since the original builds have now been deleted from koji. :-(

Comment 19 Parag AN(पराग) 2011-11-21 09:19:54 UTC
Let's not to waste the workdone here. If the submitter will not respond or build the package within a week then I can give a try to build and submit it via bodhi.

Comment 20 Fedora Update System 2011-11-28 05:33:22 UTC
tinymce-3.4.3.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tinymce-3.4.3.2-4.fc16

Comment 21 Fedora Update System 2011-11-28 05:33:33 UTC
tinymce-3.4.3.2-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tinymce-3.4.3.2-4.fc15

Comment 22 Fedora Update System 2011-11-29 00:03:12 UTC
Package tinymce-3.4.3.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinymce-3.4.3.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16495/tinymce-3.4.3.2-4.fc16
then log in and leave karma (feedback).

Comment 23 Fedora Update System 2011-12-10 19:43:51 UTC
tinymce-3.4.3.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-12-10 19:54:45 UTC
tinymce-3.4.3.2-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Matthias Runge 2011-12-12 08:57:18 UTC
Could you please push -el6 version, too? 
Is there any sign of life from submitter?

Comment 26 Parag AN(पराग) 2011-12-12 09:49:50 UTC
(In reply to comment #25)
> Is there any sign of life from submitter?
Never contacted. Just I am building the packages so that this will help for nitrate package review.

Comment 27 Fedora Update System 2011-12-12 09:54:08 UTC
tinymce-3.4.3.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tinymce-3.4.3.2-4.el6

Comment 28 Matthias Runge 2011-12-12 10:49:05 UTC
Parag, thank you for taking care of this!

Comment 29 Fedora Update System 2011-12-20 20:04:58 UTC
tinymce-3.4.3.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Neal Gompa 2012-04-08 11:49:38 UTC
I'm sorry that I've not been responding. School is all-consuming. This is the reason I requested some sort of co-maintainership, because I cannot dedicate all my energy to this.


Note You need to log in before you can comment on or make changes to this bug.